CFD Online Discussion Forums

CFD Online Discussion Forums (
-   FLUENT (
-   -   UDF Compiling error LNK1181 (

marion February 20, 2006 13:33

UDF Compiling error LNK1181

When I try to compile a udf in Fluent, I get a fatal error LNK1181. Here is the transcript of the message:

LINK: fatal error LNK1181: cannot open input file "fl6216s.lib"

Apparently, I don't have the right linker version. I have V3.00.5270 whereas I should have Version 6.00.8447 (from the installation FAQ fluent website).

I tried to install the latest Service Package for Visual C++, as it is recommended on Fluent's website, but it still gives the same error.

Does anyone have an idea of what to do to fix that problem? How can I get the right version for the linker?

Thank you,


turbomachinery February 21, 2006 00:04

Re: UDF Compiling error LNK1181
Hi, when you install the Visual C++, you must add the environment variables at the same time of installing. your problem is led by the wrong environment variables or you didn't add any Environment_variables.

marion February 21, 2006 04:07

Re: UDF Compiling error LNK1181
I have checked the environmental variables again, and they are as they say they should be on Fluent Website.

Thanks for your help.

All times are GMT -4. The time now is 14:53.